<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AddWLANProfileReq StructType
 * @subpackage Structs
 */
class AddWLANProfileReq extends APIRequest
{
    /**
     * The wLANProfile
     * @var XWLANProfile
     */
    public $wLANProfile;
    /**
     * Constructor method for AddWLANProfileReq
     * @uses AddWLANProfileReq::setWLANProfile()
     * @param XWLANProfile $wLANProfile
     */
    public function __construct(XWLANProfile $wLANProfile = null)
    {
        $this
            ->setWLANProfile($wLANProfile);
    }
    /**
     * Get wLANProfile value
     * @return XWLANProfile|null
     */
    public function getWLANProfile()
    {
        return $this->wLANProfile;
    }
    /**
     * Set wLANProfile value
     * @param XWLANProfile $wLANProfile
     * @return AddWLANProfileReq
     */
    public function setWLANProfile(XWLANProfile $wLANProfile = null)
    {
        $this->wLANProfile = $wLANProfile;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return AddWLANProfileReq
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
